[PATCH] Increase Sys_Printf buffer

This is a temporary band-aid to fix a problem where the NVidia OpenGL driver
extension string is too big for the current buffer. Will think about doing
something more dynamic later.

diff -urN b/NQ/sys_linux.c head/NQ/sys_linux.c
--- b/NQ/sys_linux.c	2004-08-11 22:35:12.000000000 +0930
+++ head/NQ/sys_linux.c	2006-02-12 09:27:56.000000000 +1030
@@ -64,7 +64,7 @@
 Sys_Printf(char *fmt, ...)
 {
     va_list argptr;
-    char text[2048];
+    char text[4096];
     unsigned char *p;
     int cnt;
 
diff -urN b/NQ/sys_win.c head/NQ/sys_win.c
--- b/NQ/sys_win.c	2004-08-11 22:35:12.000000000 +0930
+++ head/NQ/sys_win.c	2006-02-12 09:29:09.000000000 +1030
@@ -446,7 +446,7 @@
 Sys_Printf(char *fmt, ...)
 {
     va_list argptr;
-    char text[1024];
+    char text[4096];
     DWORD dummy;
 
     if (isDedicated) {
diff -urN b/QW/client/sys_linux.c head/QW/client/sys_linux.c
--- b/QW/client/sys_linux.c	2004-08-11 22:35:12.000000000 +0930
+++ head/QW/client/sys_linux.c	2006-02-12 09:29:43.000000000 +1030
@@ -57,7 +57,7 @@
 Sys_Printf(char *fmt, ...)
 {
     va_list argptr;
-    char text[2048];
+    char text[4096];
     unsigned char *p;
     int cnt;
 
diff -urN b/QW/server/sys_unix.c head/QW/server/sys_unix.c
--- b/QW/server/sys_unix.c	2004-08-11 22:35:12.000000000 +0930
+++ head/QW/server/sys_unix.c	2006-02-12 09:30:37.000000000 +1030
@@ -135,7 +135,7 @@
 Sys_Printf(char *fmt, ...)
 {
     va_list argptr;
-    static char text[2048];
+    static char text[4096];
     unsigned char *p;
 
     va_start(argptr, fmt);
